Main Page Packages Class Hierarchy Compound List File List Compound Members

# characterdatainsertdatanomodificationallowederrEE Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| characterdatainsertdatanomodificationallowederrEE (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "insertData(offset,arg)" method raises a NO_MODIFICATION_ALLOWED_ERR DOMException if the node is readonly. Create an entity reference and execute the "insertData(offset,arg)" method. This causes a NO_MODIFICATION_ALLOWED_ERR DOMException to be thrown.

Author:
  Curt Arnold

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-258A00AF')/constant[@name='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-3EDB695F , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-3EDB695F')/raises/exception[@name='DOMException']/descr/p[substring-before(.,':')='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-3EDB695F , http://www.w3.org/2001/DOM-Test-Suite/level1/core/characterdatainsertdatanomodificationallowederr.xml

Definition at line 45 of file characterdatainsertdatanomodificationallowederrEE.java.

## Constructor & Destructor Documentation

characterdatainsertdatanomodificationallowederrEE::characterdatainsertdatanomodificationallowederrEE | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file characterdatainsertdatanomodificationallowederrEE.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String characterdatainsertdatanomodificationallowederrEE::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 78 of file characterdatainsertdatanomodificationallowederrEE.java.
    00078                                 {
    00079       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/characterdatainsertdatanomodificationallowederrEE";
    00080    }

void characterdatainsertdatanomodificationallowederrEE::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 81 of file characterdatainsertdatanomodificationallowederrEE.java. References DOMTestCase::doMain().
    00081                                           {
    00082         DOMTestCase.doMain(characterdatainsertdatanomodificationallowederrEE.class,args);
    00083    }

void characterdatainsertdatanomodificationallowederrEE::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file characterdatainsertdatanomodificationallowederrEE.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       NodeList genderList;
    00056       Node genderNode;
    00057       CharacterData entText;
    00058       EntityReference entReference;
    00059       doc = load("staff");
    00060       genderList = doc.getElementsByTagName("gender");
    00061       genderNode = genderList.item(2);
    00062       entReference = doc.createEntityReference("ent3");
    00063       entText = (CharacterData)entReference.getFirstChild();
    00064
    00065         {
    00066                 boolean success = false;
    00067                 try {
    00068                         entText.insertData(1,"newArg");
    00069
    00070                 }
    00071                 catch(DOMException ex) {
    00072                         success = (ex.code == DOMException.NO_MODIFICATION_ALLOWED_ERR);
    00073                 }
    00074                 assertTrue("throw_NO_MODIFICATION_ALLOWED_ERR",success);
    00075         }
    00076
    00077    }

The documentation for this class was generated from the following file:

- characterdatainsertdatanomodificationallowederrEE.java